Subject: bug#19274: tar-mode.el: allow for adding new archive members

From: Stefan Monnier <[email-masked]>
Date: Sat, 06 Dec 2014 00:09:56 -0500

>>> + ;; omit tar-header-checksum (tar-chk-offset) for now
>> Please capitalize and punctuate your comments.
> 	Even the one-line ones?

Yes, we do that for all comments, since this poor little sentence would
feel disrespected otherwise.

> 	BTW, I wonder if it makes sense to split the make-tar-header
> 	form (with all the nil’s there) off tar-new-entry into a new
> 	(tar-new-regular-file-header filename &optional size time)
> 	function?  I guess that’d ease the creation of Tar archives from
> 	Emacs Lisp code; (and I already imagine some uses to that.)

BTW, if you're interested in hacking on tar-mode, I keep dreaming of
plugging it into file-name-handler-alist so you can just visit
/foo/bar.tar.gz/somefile, use dired on it, ...

        Stefan